/*
 * Copyright (c) 1994 Vectaport Inc., Cartoactive Systems
 *
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the names of the copyright holders not be used in
 * advertising or publicity pertaining to distribution of the software
 * without specific, written prior permission.  The copyright holders make
 * no representations about the suitability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 *
 * THE COPYRIGHT HOLDERS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS
 * SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS.
 * IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING
 * FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
 * NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION
 * WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 * 
 */


/*
 * dlg features
 */

#ifndef dlgfeature_h
#define dlgfeature_h

#include <Map/mapfeature.h>

class DlgFeatureClass;

class DlgFeature : public MapFeature {
public:
    DlgFeature(DlgFeatureClass*, int id, MapFeatureType type);

    int major_attribute() const { return _major_code; }
    int minor_attribute() const { return _minor_code; }
    void set_attributes(int major, int minor);

    virtual short int short_attr(char* attrname);
    virtual long int long_attr(char* attrname);

    virtual boolean definition(ostream&);
    virtual const char* describe() const;
protected:
    int _major_code;
    int _minor_code;
    
};

#endif
