/**************************************************************************
 *   HEADER FILE : RGBDEFS.H - Contains definitions for the 3D Scene
 *                 Display program
 *
 *   AUTHOR      : Melissa Matthews modified from  LOS.H
 *
 *   Change     Date          Reason
 *   ------     ----          ------
 *   1          10 Aug 93     modified from LOS.H
 *
 **************************************************************************/

#ifndef DISPLAY_DEFS_HEADER

#define DISPLAY_DEFS_HEADER

/************************************************************************
 *                      Definitions
 ************************************************************************/

#define minof(A, B)  ((A) < (B) ? (A) : (B))
#define maxof(A, B)  ((A) > (B) ? (A) : (B))

#ifndef Huge
#if XVT_OS == XVT_OS_DOS || XVT_OS == XVT_OS_WIN
#define Huge huge
#else
#define Huge
#endif
#endif

#ifndef FILE_SEP
#if XVT_OS == XVT_OS_DOS || XVT_OS == XVT_OS_WIN
#define FILE_SEP           "\\"
#elif XVT_OS == XVT_OS_MAC
#define FILE_SEP           ":"
#else
#define FILE_SEP           "/"
#endif
#endif

#if XVT_OS_ISUNIX == TRUE
#ifdef  PAL_OFFSET
#undef  PAL_OFFSET
#endif
#define PAL_OFFSET        38
#endif

#ifndef COLOR_RANGE
#define COLOR_RANGE       6
#endif

#ifndef F
#define F                 0
#endif

#ifndef MAX_PATH
#define MAX_PATH          132
#endif

#ifndef FULL_RANGE
#define FULL_RANGE       36
#endif

#ifndef MAX_RANGE
#define MAX_RANGE       256
#endif

#ifndef NUM_COLORS
#define NUM_COLORS      216
#endif

#ifndef ONE
#define ONE               1
#endif

#ifndef RGB_MAX
#define RGB_MAX         65535L
#endif

#ifndef T
#define T                 1
#endif

#ifndef ZERO
#define ZERO              0
#endif

/************************************************************************
 *                         output file types
 ************************************************************************/

#ifndef RGB_FILE
#define RGB_FILE          1
#endif
#ifndef BMP8_FILE
#define BMP8_FILE         2
#endif
#ifndef BMP24_FILE
#define BMP24_FILE        3
#endif
#ifndef SUNRAST_FILE
#define SUNRAST_FILE      4
#endif
#ifndef PS_FILE
#define PS_FILE           5
#endif

#if 0
/************************************************************************
 *                             structures
 ************************************************************************/

typedef struct
{
   long red;
   long green;
   long blue;
}  BININFO; 

/************************************************************************
 *                      Expand defines
 ************************************************************************/

typedef unsigned char Huge *PUNSIGNED_CHAR;
typedef PUNSIGNED_CHAR VECTOR;
typedef PUNSIGNED_CHAR Huge *MATRIX;

#endif

#endif  /* DISPLAY_DEFS_HEADER */
